org.jbpm.process.audit.query

## Class AbstractAuditQueryBuilderImpl<T>

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
  - - org.jbpm.process.audit.query.AbstractAuditQueryBuilderImpl<T>

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<T>, org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>
  Direct Known Subclasses:
    AuditTaskInstanceLogQueryBuilderImpl, NodeInstLogQueryBuilderImpl, ProcInstLogQueryBuilderImpl, VarInstLogQueryBuilderImpl

      public class AbstractAuditQueryBuilderImpl<T>
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<T>
      implements org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.kie.api.runtime.CommandExecutor` | `executor`
    `protected JPAAuditLogService` | `jpaAuditService`

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryData`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAuditQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)`
    `protected` | `AbstractAuditQueryBuilderImpl(JPAAuditLogService jpaService)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `date(Date... date)`
    `T` | `dateRangeEnd(Date rangeStart)`
    `T` | `dateRangeStart(Date rangeStart)`
    `protected JPAAuditLogService` | `getJpaAuditLogService()`
    `T` | `processId(String... processId)`
    `T` | `processInstanceId(long... processInstanceId)`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, clear, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `ascending, clear, descending, equals, intersect, like, maxResults, offset, union`

- - ### Field Detail

    - #### executor

          protected final org.kie.api.runtime.CommandExecutor executor

    - #### jpaAuditService

          protected final JPAAuditLogService jpaAuditService

  - ### Constructor Detail

    - #### AbstractAuditQueryBuilderImpl

          protected AbstractAuditQueryBuilderImpl(JPAAuditLogService jpaService)

    - #### AbstractAuditQueryBuilderImpl

          protected AbstractAuditQueryBuilderImpl(org.kie.api.runtime.CommandExecutor cmdExecutor)

  - ### Method Detail

    - #### getJpaAuditLogService

          protected JPAAuditLogService getJpaAuditLogService()

    - #### processInstanceId

          public T processInstanceId(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>`

    - #### processId

          public T processId(String... processId)

      Specified by:
        `processId` in interface `org.kie.internal.runtime.manager.audit.query.AuditQueryBuilder<T>`

    - #### date

          public T date(Date... date)

    - #### dateRangeStart

          public T dateRangeStart(Date rangeStart)

    - #### dateRangeEnd

          public T dateRangeEnd(Date rangeStart)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.